%define oname   nokogiri

Name:       ruby-%{oname}
Version:    1.4.3.1
Release:    %mkrel 2
Summary:    An HTML, XML, SAX, and Reader parser
Group:      Development/Ruby
License:    MIT
URL:        http://nokogiri.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     nokogiri-1.4.3.1-fix-libxml-test.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: libxslt-devel
BuildRequires: rubygem(hoe) >= 2.1.0
BuildRequires: rubygem(rake-compiler)
BuildRequires: rubygem(racc)
BuildRequires: rubygem(rexical)
BuildRequires: rubygem(minitest) >= 1.6.0
Requires:   ruby(abi) = 1.8

%description
Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser.  Among Nokogiri's
many features is the ability to search documents via XPath or CSS3
selectors.
XML is like violence - if it doesn’t solve your problems, you are not
using enough of it.

%files
%defattr(-, root, root, -)
%{_bindir}/nokogiri
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/%{oname}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.ja.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.ja.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/ext/

%clean
rm -rf %{buildroot}

%check
ruby -rrubygems -I"lib:test" -I%{buildroot}%{ruby_sitearchdir} \
  -e "Dir.glob('test/**/test_*').each {|t| require t}"



%changelog
* Mon Feb 07 2011 shikamaru <shikamaru> 1.4.3.1-2.mga1
+ Revision: 48511
- imported package ruby-nokogiri


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.4.3.1-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy
- Add check section

* Sat Oct 09 2010 Rémy Clouard <shikamaru@mandriva.org> 1.4.3.1-1mdv2011.0
+ Revision: 584366
- bump release (needed for cucumber)

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.1-1mdv2010.1
+ Revision: 500512
- import rubygem-nokogiri


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.1-1
- initial release
